# Generated by Django 5.0.6 on 2024-12-20 11:18

import datetime

import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('accounts', '0032_customuser_is_first_interaction_with_agent'),
    ]

    operations = [
        migrations.DeleteModel(
            name='PDFContent',
        ),
        migrations.AddField(
            model_name='agentfile',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='agentfile',
            name='file_category',
            field=models.CharField(choices=[('file', 'File'), ('image', 'Image'), ('website', 'Website')],
                                   default='file', max_length=30),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='file_characters',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='file_status',
            field=models.CharField(choices=[('connected', 'Connected'), ('disconnected', 'Disconnected')],
                                   default='disconnected', max_length=30),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='source_context',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='source_instructions',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='source_name',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='updated_at',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='website_auto_update',
            field=models.CharField(blank=True,
                                   choices=[('manually', 'Manually'), ('daily', 'Daily'), ('weekly', 'Weekly'),
                                            ('monthly', 'Monthly'), ('quarterly', 'Quarterly')], max_length=30,
                                   null=True),
        ),
        migrations.AddField(
            model_name='agentfile',
            name='website_scrape_status',
            field=models.CharField(blank=True, choices=[('failed', 'Failed'), ('success', 'Success')], max_length=30,
                                   null=True),
        ),
        migrations.AddField(
            model_name='agentinstructions',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='agentinstructions',
            name='updated_at',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AddField(
            model_name='customuser',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, default=datetime.datetime(2024, 12, 20, 11, 18, 26, 719219,
                                                                                    tzinfo=datetime.timezone.utc)),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='customuser',
            name='updated_at',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AddField(
            model_name='organization',
            name='updated_at',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AlterField(
            model_name='message',
            name='updated_at',
            field=models.DateTimeField(auto_now=True),
        ),
    ]
